//Ex5_27.cpp
#include "iostream" 
using namespace std;
extern max,min;   //外部变量声明,使变量max,min作用域扩展到本文件 
void main() 
{void maxmin(int x[],int n);   //函数说明 
 int a[10]={-5,10,3,-2,2,8,7,5,0,9}; 
 maxmin(a,10); 
 cout<<"max="<<max<<",min="<<min<<endl; 
}
//file.cpp 
int max,min;   //定义外部变量 
void maxmin(int x[],int n) 
{max=x[0];min=x[0]; 
 for(int i=0;i<n;i++) 
	{if(x[i]>max)max=x[i]; 
     if(x[i]<min)min=x[i];} 
}  
